"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_wd_calendar_view2 = common_vendor.resolveComponent("wd-calendar-view");
  _easycom_wd_calendar_view2();
}
const _easycom_wd_calendar_view = () => "../../uni_modules/wot-design-uni/components/wd-calendar-view/wd-calendar-view.js";
if (!Math) {
  _easycom_wd_calendar_view();
}
const _sfc_main = {
  __name: "date",
  setup(__props) {
    const timeValue = common_vendor.ref(0);
    common_vendor.onMounted(() => {
      const bus_date = common_vendor.index.getStorageSync("bus_date");
      if (bus_date) {
        timeValue.value = common_vendor.dayjs(bus_date).valueOf();
      } else {
        timeValue.value = Date.now();
      }
    });
    function handleChange({ value }) {
      const date = common_vendor.dayjs(value).format("YYYY-MM-DD");
      common_vendor.index.setStorageSync("bus_date", date);
      common_vendor.index.reLaunch({
        url: `/pages/home/home`
      });
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(handleChange),
        b: common_vendor.o(($event) => timeValue.value = $event),
        c: common_vendor.p({
          ["custom-class"]: "customClass",
          modelValue: timeValue.value
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-0877a28a"], ["__file", "D:/创海项目/CH2025/约车小程序/yueche_app/pages/date/date.vue"]]);
wx.createPage(MiniProgramPage);
